Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  abstract class BTypes extends AnyRef

  The BTypes component defines The BType class hierarchy.

  The BTypes component defines The BType class hierarchy. A BType stores all type information that is required after building the ASM nodes. This includes optimizations, generation of InnerClass attributes and generation of stack map frames.

  The representation is immutable and independent of the compiler data structures, hence it can be queried by concurrent threads.

  Definition Classes
    jvm
- ArrayBType
- BOOL
- BType
- BYTE
- CHAR
- ClassBType
- ClassInfo
- DOUBLE
- FLOAT
- INT
- InnerClassEntry
- LONG
- Lazy
- LazyVar
- MethodBType
- MethodNameAndType
- NestedInfo
- PrimitiveBType
- RefBType
- SHORT
- UNIT

c

scala.tools.nsc.backend.jvm.BTypes

# InnerClassEntry

###

#### final case class InnerClassEntry(name: String, outerName: String, innerName: String, flags: Int) extends Product with Serializable

This class holds the data for an entry in the InnerClass table. See the InnerClass summary above in this file.

There's some overlap with the class NestedInfo, but it's not exactly the same and cleaner to keep separate.

name

  The internal name of the class.

outerName

  The internal name of the outer class, may be null.

innerName

  The simple name of the inner class, may be null.

flags

  The flags for this class in the InnerClass entry.

Source
  BTypes.scala

Linear Supertypes
java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InnerClassEntry
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new InnerClassEntry(name: String, outerName: String, innerName: String, flags: Int)

   name

     The internal name of the class.

   outerName

     The internal name of the outer class, may be null.

   innerName

     The simple name of the inner class, may be null.

   flags

     The flags for this class in the InnerClass entry.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from InnerClassEntry toany2stringadd[InnerClassEntry] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (InnerClassEntry, B)
   Implicit
     This member is added by an implicit conversion from InnerClassEntry toArrowAssoc[InnerClassEntry] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (InnerClassEntry) => Boolean, msg: => Any): InnerClassEntry
   Implicit
     This member is added by an implicit conversion from InnerClassEntry toEnsuring[InnerClassEntry] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (InnerClassEntry) => Boolean): InnerClassEntry
   Implicit
     This member is added by an implicit conversion from InnerClassEntry toEnsuring[InnerClassEntry] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): InnerClassEntry
    Implicit
      This member is added by an implicit conversion from InnerClassEntry toEnsuring[InnerClassEntry] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): InnerClassEntry
    Implicit
      This member is added by an implicit conversion from InnerClassEntry toEnsuring[InnerClassEntry] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  val flags: Int
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from InnerClassEntry toStringFormat[InnerClassEntry] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  val innerName: String
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  val name: String
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  val outerName: String
24.  def productElementNames: Iterator[String]
    Definition Classes
      Product
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (InnerClassEntry, B)
   Implicit
     This member is added by an implicit conversion from InnerClassEntry toArrowAssoc[InnerClassEntry] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromInnerClassEntry to any2stringadd[InnerClassEntry]

### Inherited by implicit conversion StringFormat fromInnerClassEntry to StringFormat[InnerClassEntry]

### Inherited by implicit conversion Ensuring fromInnerClassEntry to Ensuring[InnerClassEntry]

### Inherited by implicit conversion ArrowAssoc fromInnerClassEntry to ArrowAssoc[InnerClassEntry]

### Ungrouped